task annovar {

	File TNscope_vcf
	File TNseq_vcf
	File database
	String sample
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		/installations/annovar/table_annovar.pl ${TNscope_vcf} ${database} -buildver hg38 -out ${sample}_TNscope -remove -protocol refGene,ensGene,knownGene,cytoBand,genomicSuperDups,ljb26_all,dbnsfp35c,intervar_20180118,cosmic70,exac03,gnomad211_exome,clinvar_20200316 -operation g,g,g,r,r,f,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
		/installations/annovar/table_annovar.pl ${TNseq_vcf} ${database} -buildver hg38 -out ${sample}_TNseq -remove -protocol refGene,ensGene,knownGene,cytoBand,genomicSuperDups,ljb26_all,dbnsfp35c,intervar_20180118,cosmic70,exac03,gnomad211_exome,clinvar_20200316 -operation g,g,g,r,r,f,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File avinput_TNscope = "${sample}_TNscope.avinput"
		File multianno_TNscope_txt = "${sample}_TNscope.hg38_multianno.txt"
		File multianno_TNscope_vcf = "${sample}_TNscope.hg38_multianno.vcf"
		File avinput_TNseq = "${sample}_TNseq.avinput"
		File multianno_TNseq_txt = "${sample}_TNseq.hg38_multianno.txt"
		File multianno_TNseq_vcf = "${sample}_TNseq.hg38_multianno.vcf"
	}
}